WordPress.org

Ready to get started?Download WordPress

Forums

2.5-RC1: PHP Safe Mode breaks visual editor (2 posts)

  1. ben81
    Member
    Posted 6 years ago #

    It looks like PHP Safe Mode breaks the visual editor in 2.5-RC1. The visual tab is active, but inside the textarea there's just HTML and the the toolbar only shows the HTML view buttons. Clicking on Visual or HTML has no effect and throws the following error (replaced the full path with ...):

    Can't find variable: tinyMCE
    .../wp-admin/js/editor.js?ver=20080317 (line 66)

    When entering the Write screen from anywhere else Safari throws the follwoing error:

    SyntaxError: Parse error
    .../wp-includes/js/tinymce/tiny_mce_config.php?ver=20080317 (line 2)

    When calling tiny_mce_config.php directly I get:

    Warning: filemtime(): SAFE MODE Restriction in effect. The script whose uid/gid is 114778/114778 is not allowed to access .../wp-content/uploads/js_cache owned by uid/gid 398/398 in .../wp-includes/js/tinymce/tiny_mce_config.php on line 327

    This all happened after I wanted to upload an image. I had to create the uploads directory myself and manually set the permissions. I don't know if this is actually a WordPress bug oder server related (I'm hosted on Surftown). I guess PHP Safe Mode is to blame, but I think the visual editor still should work even though it can't access the media library.

    Anyone knows how to fix this or should I report it as a bug?

  2. ben81
    Member
    Posted 6 years ago #

    Update: I can temporarily fix this by deleting the uploads folder comletely and not using the upload functionality. I also tried creating the folders "uploads" and "js_cache" myself via FTP with all the necessary permissions but still no luck ...

Topic Closed

This topic has been closed to new replies.

About this Topic